/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.job.hibernate;

import java.util.Collection;

import net.sourceforge.kivu4j.job.domain.Timetable;
import net.sourceforge.kivu4j.job.domain.TimetableRepository;
import net.sourceforge.kivu4j.utils.api.repository.NamedQueryParameter;
import net.sourceforge.kivu4j.utils.hibernate.HibernateGenericRepository;

import org.springframework.stereotype.Repository;

/**
 * 任务时间表数据访问接口Hibernate实现
 *
 * @author Lucky Yang
 */
@Repository("timetableRepository")
public class TimetableRepositoryImpl extends HibernateGenericRepository<Timetable, Long> implements TimetableRepository {
	public static final String FIND_BY_CLAZZ = "Timetable.findByClazz";
	@Override
	public Collection<Timetable> findByClazz(String clazz) {
		NamedQueryParameter parameter = new NamedQueryParameter(FIND_BY_CLAZZ);
		parameter.add("clazz", clazz);
		return this.find(parameter);
	}

	@Override
	protected Class<Timetable> getEntityClass() {
		return Timetable.class;
	}
}